GSPL-LPQ(1)

NAME
gspl-lpq - display job list on LPD protocol servers

SYNOPSIS
gspl-lpq [ -l ] [ -s ] printer

DESCRIPTION
gspl-lpq obtains and outputs a list of pending jobs on an external print server supporting the LPD protocol.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file splpd.help - see spsyntax(5).

The environment variable on which options are supplied is "GSPL_LPQ" and the environment variable to specify the help file is "LPDINTCONF".

-? or +explain
    Causes a summary of the other options to be displayed without taking further action.

-l or +long-list
    Produce a long listing.

-s or +short-list
    Produce a short listing (default).

+freeze-current
    Save all the current options in a .gnuspool file in the current directory.

+freeze-home
    Save all the current options in a .gnuspool file in the user's home directory.

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

splpd.help message file

ENVIRONMENT

SPLPD
    space-separated options to override defaults.

LPDINTCONF
    location of alternative help file.

SEE ALSO
gspl-lprm(1), spsyntax(5), xtlpc(8).

DIAGNOSTICS
Various diagnostics are read and printed as required from the message file, by default splpd.help.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.